<?php

namespace FiloBlu\BirthdayCoupon\Controller\Cart;

class Checkcoupon extends \Magento\Framework\App\Action\Action
{

    protected $_birthdayHelper;
    protected $jsonHelper;

    public function __construct(
        \FiloBlu\BirthdayCoupon\Helper\Data $birthdayHelper,
        \Magento\Framework\Json\Helper\Data $jsonHelper,
        \Magento\Framework\App\Action\Context $context
    ) {
        $this->_birthdayHelper = $birthdayHelper;
        $this->jsonHelper = $jsonHelper;
        parent::__construct($context);
    }


    public function execute()
    {
        $couponCode = trim($this->getRequest()->getParam('coupon_code'));
        if($this->_birthdayHelper->isBirthdayCoupon($couponCode)) {
            return $this->jsonResponse('true');
        }

        return $this->jsonResponse('false');
    }

    public function jsonResponse($response = '')
    {
        return $this->getResponse()->representJson(
            $this->jsonHelper->jsonEncode($response)
        );
    }
}
